import httpRequest from '@/utils/axios'
/**
 * 获取考卷批阅列表
 */
export function getExamReivewList(params) {
  return httpRequest.get('/api/zy/v3-teacher/examination/examination-list', { params })
}
/**
 * 老师批阅
 */
export function getReviewDetails(params) {
  return httpRequest.get('/api/zy/v3-teacher/examination/sheet-details', { params })
}
/**
 * 获取考试筛选条件列表
 */
export function getConditionList(params) {
  return httpRequest.get('/api/zy/v3-teacher/statistics/search-condition', { params })
}
/**
 * 获取考试数据列表
 */
export function getExamList(params) {
  return httpRequest.get('/api/zy/v3-teacher/statistics/total-list', { params })
}
/**
 * 考试数据-看板（基本信息）
 */
export function getExamDataInfo(params) {
  return httpRequest.get('/api/zy/v3-teacher/statistics/sheet-basic-info', { params })
}
/**
 * 考试数据-看板（分数排名）
 */
export function getScoreRanking(params) {
  return httpRequest.get('/api/zy/v3-teacher/statistics/sheet-score-ranking', { params })
}
/**
 * 考试数据-看板（分数排名导出）
 */
export function exportScoreList(params) {
  return httpRequest.get('/api/zy/v3-teacher/statistics/sheet-score-ranking', { params, responseType: 'blob' })
}

/**
 * 考试数据-看板（题目数据）
 */
export function getTitleList(params) {
  return httpRequest.get('/api/zy/v3-teacher/statistics/sheet-questions', { params })
}
/**
 * 考试数据-看板（题目数据导出）
 */
export function exportTitleList(params) {
  return httpRequest.get('/api/zy/v3-teacher/statistics/sheet-questions', {
    params,
    responseType: 'blob'
  })
}
/**
 * 考试数据-看板（题目数据导出）
 */
export function getClassList(params) {
  return httpRequest.get('/api/zy/v3-teacher/statistics/class-list', {
    params
  })
}
/**
 * 导出班级统计数据
 */
export function exportClassList(params) {
  return httpRequest.get('/api/zy/v3-teacher/statistics/class-list', {
    params,
    responseType: 'blob'
  })
}
/**
 * 获取班级详情
 */
export function getClassDetail(params) {
  return httpRequest.get('/api/zy/v3-teacher/statistics/class-details', {
    params
  })
}
/**
 * 考试数据-看板（题目数据）
 */
export function getQuestionsDetails(params) {
  return httpRequest.get('/api/zy/v3-teacher/statistics/sheet-question-details', {
    params
  })
}
